package com.palmnest.service.estateserve.impl;

import java.util.List;
import java.util.Map;

import org.directwebremoting.annotations.Auth;
import org.directwebremoting.util.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.palmnest.dao.estateserve.DateTypeInfoDao;
import com.palmnest.model.DateTypeInfo;
import com.palmnest.service.estateserve.DateTypeInfoManager;
import com.palmnest.service.impl.GenericManagerImpl;

@Service("dateTypeInfoManager")
public class DateTypeInfoManagerImpl extends GenericManagerImpl<DateTypeInfo, Long> implements DateTypeInfoManager {

	private Logger LOG = Logger.getLogger(DateTypeInfoManagerImpl.class);

	private DateTypeInfoDao dateTypeInfoDao;

	@Autowired
	public void setDateTypeInfoDao(DateTypeInfoDao dateTypeInfoDao) {
		this.dateTypeInfoDao = dateTypeInfoDao;
		this.dao = dateTypeInfoDao;
	}

	@Override
	public List<DateTypeInfo> getDateTypeInfoList(String year, String month) {
		return dateTypeInfoDao.getDateTypeInfoList(year, month);
	}

	@Override
	public DateTypeInfo getDateTypeInfoList(String date) {
		return dateTypeInfoDao.getDateTypeInfoList(date);
	}

	@Override
	public List<DateTypeInfo> getDateTypeInfoList(String year, String month,
												  String type) {
		return dateTypeInfoDao.getDateTypeInfoList(year, month, type);
	}

	@Override
	public List<DateTypeInfo> getDateTypeList(String year, String month,
											  String type, String date) {
		return dateTypeInfoDao.getDateTypeList(year, month, type, date);
	}

	@Override
	public List<Map<String, Object>> getWeekDateInfoList(String day, String type) {
		return dateTypeInfoDao.getWeekDateInfoList(day, type);
	}

}
